! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Utility Data Module File
! 
! Generated by KPP-2.2.3_rs3 symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : messy_mecca_kpp_Monitor.f90
! Time                 : Wed Mar 13 16:05:14 2019
! Working directory    : /home/sander/e2/messy_d2.53.0.24_rs/messy/mbm/caaba/mecca
! Equation file        : messy_mecca_kpp.kpp
! Output root filename : messy_mecca_kpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE messy_mecca_kpp_Monitor


  CHARACTER(LEN=32), PARAMETER, DIMENSION(49) :: SPC_NAMES = (/ &
     'CH2OOA                          ','N2O                             ','LCARBON                         ', &
     'NH3                             ','CH4                             ','N2O5                            ', &
     'NCO                             ','H2O2                            ','H2OH2O                          ', &
     'HOCH2OH                         ','H                               ','NH2OH                           ', &
     'CN                              ','NHOH                            ','H2                              ', &
     'HNO4                            ','CH3OOH                          ','CH3ONO                          ', &
     'HNO3                            ','CH3OH                           ','HONO                            ', &
     'O1D                             ','CH3O2NO2                        ','HOCH2O2NO2                      ', &
     'NH2O                            ','HCN                             ','HOCH2OOH                        ', &
     'CH3NO3                          ','HNO                             ','NH2                             ', &
     'CO                              ','CH3                             ','HCOOH                           ', &
     'HOCH2O2                         ','O3P                             ','CH3O                            ', &
     'H2O                             ','CH3O2                           ','NO                              ', &
     'NO3                             ','NO2                             ','OH                              ', &
     'CH2OO                           ','HO2                             ','HCHO                            ', &
     'O3                              ','O2                              ','N2                              ', &
     'CO2                             ' /)

  INTEGER, DIMENSION(1) :: LOOKAT
  INTEGER, DIMENSION(1) :: MONITOR
  CHARACTER(LEN=32), DIMENSION(1) :: SMASS
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_0 = (/ &
     '       O1D + O2 --> O3P + O2                                                                        ', &
     '       O3P + O2 --> O3                                                                              ', &
     '         H + O2 --> HO2                                                                             ', &
     '        OH + O3 --> HO2 + O2                                                                        ', &
     '        H2 + OH --> H + H2O                                                                         ', &
     '       HO2 + O3 --> OH + 2 O2                                                                       ', &
     '       OH + HO2 --> H2O + O2                                                                        ', &
     '          2 HO2 --> H2O2 + O2                                                                       ', &
     '      O1D + H2O --> 2 OH                                                                            ', &
     '      H2O2 + OH --> H2O + HO2                                                                       ', &
     '          2 H2O --> H2OH2O                                                                          ', &
     '         H2OH2O --> 2 H2O                                                                           ', &
     '       O1D + N2 --> O3P + N2                                                                        ', &
     '        NO + O3 --> NO2 + O2                                                                        ', &
     '       NO2 + O3 --> NO3 + O2                                                                        ', &
     '       NO + NO3 --> 2 NO2                                                                           ', &
     '      NO3 + NO2 --> N2O5                                                                            ', &
     '           N2O5 --> NO3 + NO2                                                                       ', &
     '        NO + OH --> HONO                                                                            ', &
     '       NO + HO2 --> NO2 + OH                                                                        ', &
     '       NO2 + OH --> HNO3                                                                            ', &
     '      NO2 + HO2 --> HNO4                                                                            ', &
     '      NO3 + HO2 --> NO2 + OH + O2                                                                   ', &
     '      HONO + OH --> H2O + NO2                                                                       ', &
     '      HNO3 + OH --> H2O + NO3                                                                       ', &
     '           HNO4 --> NO2 + HO2                                                                       ', &
     '      HNO4 + OH --> H2O + NO2                                                                       ', &
     '       NH3 + OH --> NH2 + H2O                                                                       ', &
     '       NH2 + O3 --> NH2O + O2                                                                       ', &
     '      NH2 + HO2 --> NH2O + OH                                                                       ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_1 = (/ &
     '      NH2 + HO2 --> HNO + H2O                                                                       ', &
     '       NH2 + NO --> OH + HO2 + N2                                                                   ', &
     '       NH2 + NO --> H2O + N2                                                                        ', &
     '      NH2 + NO2 --> N2O + H2O                                                                       ', &
     '      NH2 + NO2 --> NH2O + NO                                                                       ', &
     '      NH2O + O3 --> NH2 + O2                                                                        ', &
     '           NH2O --> NHOH                                                                            ', &
     '       HNO + OH --> H2O + NO                                                                        ', &
     '     NHOH + HNO --> NH2OH + NO                                                                      ', &
     '      HNO + NO2 --> HONO + NO                                                                       ', &
     '      NHOH + OH --> HNO + H2O                                                                       ', &
     '     NH2OH + OH --> NHOH + H2O                                                                      ', &
     '       HNO + O2 --> NO + HO2                                                                        ', &
     '       CH4 + OH --> CH3 + H2O                                                                       ', &
     '     CH3OH + OH --> 0.15 CH3O + H2O + 0.85 HO2 + 0.85 HCHO                                          ', &
     '    CH3O2 + HO2 --> CH3OOH + O2                                                                     ', &
     '    CH3O2 + HO2 --> H2O + HCHO + O2                                                                 ', &
     '     CH3O2 + NO --> CH3O + NO2                                                                      ', &
     '     CH3O2 + NO --> CH3NO3                                                                          ', &
     '    CH3O2 + NO3 --> CH3O + NO2 + O2                                                                 ', &
     '          CH3O2 --> CH3O + 0.5 O2                                                                   ', &
     '          CH3O2 --> 0.5 CH3OH + 0.5 HCHO + 0.5 O2                                                   ', &
     '    CH3OOH + OH --> H2O + 0.6 CH3O2 + 0.4 OH + 0.4 HCHO                                             ', &
     '      OH + HCHO --> CO + H2O + HO2                                                                  ', &
     '     NO3 + HCHO --> HNO3 + CO + HO2                                                                 ', &
     '        CO + OH --> H + CO2                                                                         ', &
     '     HCOOH + OH --> H2O + HO2 + CO2                                                                 ', &
     '    CH3O2 + NO2 --> CH3O2NO2                                                                        ', &
     '       CH3O2NO2 --> CH3O2 + NO2                                                                     ', &
     '  CH3O2NO2 + OH --> H2O + NO3 + HCHO                                                                ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_2 = (/ &
     '    CH3NO3 + OH --> H2O + NO2 + HCHO                                                                ', &
     '           CH3O --> HO2 + HCHO                                                                      ', &
     '     CH3O + NO2 --> CH3NO3                                                                          ', &
     '     CH3O + NO2 --> HONO + HCHO                                                                     ', &
     '      CH3O + NO --> CH3ONO                                                                          ', &
     '      CH3O + NO --> HNO + HCHO                                                                      ', &
     '     CH3O2 + O3 --> CH3O + 2 O2                                                                     ', &
     '    CH3ONO + OH --> H2O + NO + HCHO                                                                 ', &
     '     HO2 + HCHO --> HOCH2O2                                                                         ', &
     '        HOCH2O2 --> HO2 + HCHO                                                                      ', &
     '  HOCH2O2 + HO2 --> 0.5 HOCH2OOH + 0.5 HCOOH + 0.3 H2O + 0.2 OH + 0.2 HO2 ... etc.                  ', &
     '   HOCH2O2 + NO --> HCOOH + NO2 + HO2                                                               ', &
     '  HOCH2O2 + NO3 --> HCOOH + NO2 + HO2                                                               ', &
     '        HOCH2O2 --> HCOOH + HO2                                                                     ', &
     '        HOCH2O2 --> 0.5 HOCH2OH + 0.5 HCOOH + 0.5 O2                                                ', &
     '  HOCH2OOH + OH --> HOCH2O2 + H2O                                                                   ', &
     '  HOCH2OOH + OH --> HCOOH + H2O + OH                                                                ', &
     '   HOCH2OH + OH --> HCOOH + H2O + HO2                                                               ', &
     '     CH3O2 + OH --> CH3O + HO2                                                                      ', &
     '          CH2OO --> CO + OH + HO2                                                                   ', &
     '    H2O + CH2OO --> HOCH2OOH                                                                        ', &
     ' H2OH2O + CH2OO --> HOCH2OOH + H2O                                                                  ', &
     '     NO + CH2OO --> NO2 + HCHO                                                                      ', &
     '    NO2 + CH2OO --> NO3 + HCHO                                                                      ', &
     '     CO + CH2OO --> HCHO + CO2                                                                      ', &
     '  HCOOH + CH2OO --> 2 HCOOH                                                                         ', &
     '   CH2OO + HCHO --> 2 LCARBON                                                                       ', &
     '  CH3OH + CH2OO --> 2 LCARBON                                                                       ', &
     '  CH3O2 + CH2OO --> 2 LCARBON                                                                       ', &
     '    CH2OO + HO2 --> LCARBON                                                                         ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_3 = (/ &
     '     CH2OO + O3 --> HCHO + 2 O2                                                                     ', &
     '        2 CH2OO --> 2 HCHO + O2                                                                     ', &
     '  HOCH2O2 + NO2 --> HOCH2O2NO2                                                                      ', &
     '     HOCH2O2NO2 --> HOCH2O2 + NO2                                                                   ', &
     'HOCH2O2NO2 + OH --> HCOOH + H2O + NO3                                                               ', &
     '       CH3 + O2 --> CH3O2                                                                           ', &
     '       CH3 + O3 --> 0.956 H + 0.044 CH3O + 0.956 HCHO + O2                                          ', &
     '      CH3 + O3P --> H + 0.17 H2 + 0.17 CO + 0.83 HCHO                                               ', &
     '      CH3O + O3 --> CH3O2 + O2                                                                      ', &
     '     O3P + CH3O --> 0.75 CH3 + 0.25 OH + 0.25 HCHO + 0.75 O2                                        ', &
     '    O3P + CH3O2 --> CH3O + O2                                                                       ', &
     '     O3P + HCHO --> 0.3 H + 0.7 CO + 0.7 OH + HO2 + 0.3 CO2                                         ', &
     '         CH2OOA --> 0.63 CO + 0.47 H2O + 0.16 OH + 0.37 CH2OO + 0.16 HO2 ... etc.                   ', &
     '       HCN + OH --> CN + H2O                                                                        ', &
     '      O1D + HCN --> HCN + O3P                                                                       ', &
     '      O1D + HCN --> NCO + H                                                                         ', &
     '      O1D + HCN --> CN + OH                                                                         ', &
     '      HCN + O3P --> NCO + H                                                                         ', &
     '        CN + O2 --> NCO + O3P                                                                       ', &
     '        CN + O2 --> CO + NO                                                                         ', &
     '       NCO + O2 --> NO + CO2                                                                        ', &
     '             O2 --> 2 O3P                                                                           ', &
     '             O3 --> O1D + O2                                                                        ', &
     '             O3 --> O3P + O2                                                                        ', &
     '           H2O2 --> 2 OH                                                                            ', &
     '            NO2 --> O3P + NO                                                                        ', &
     '            NO3 --> O3P + NO2                                                                       ', &
     '            NO3 --> NO + O2                                                                         ', &
     '           N2O5 --> NO3 + NO2                                                                       ', &
     '           HONO --> NO + OH                                                                         ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(12) :: EQN_NAMES_4 = (/ &
     '           HNO3 --> NO2 + OH                                                                        ', &
     '           HNO4 --> 0.333 NO3 + 0.667 NO2 + 0.333 OH + 0.667 HO2                                    ', &
     '         CH3OOH --> CH3O + OH                                                                       ', &
     '           HCHO --> H2 + CO                                                                         ', &
     '           HCHO --> H + CO + HO2                                                                    ', &
     '         CH3ONO --> CH3O + NO                                                                       ', &
     '         CH3NO3 --> CH3O + NO2                                                                      ', &
     '       CH3O2NO2 --> 0.333 CH3O + 0.667 CH3O2 + 0.333 NO3 + 0.667 NO2                                ', &
     '       HOCH2OOH --> HCOOH + OH + HO2                                                                ', &
     '          CH3O2 --> OH + HCHO                                                                       ', &
     '          HCOOH --> CO + OH + HO2                                                                   ', &
     '     HOCH2O2NO2 --> 0.333 HCOOH + 0.667 HOCH2O2 + 0.333 NO3 + 0.667 NO2 ... etc.                    ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(132) :: EQN_NAMES = (/&
    EQN_NAMES_0, EQN_NAMES_1, EQN_NAMES_2, EQN_NAMES_3, EQN_NAMES_4 /)

  CHARACTER(LEN=32), PARAMETER, DIMENSION(90) :: EQN_TAGS_0 = (/ &
     'G1000                           ','G1001                           ','G2100                           ', &
     'G2104                           ','G2105                           ','G2107                           ', &
     'G2109                           ','G2110                           ','G2111                           ', &
     'G2112                           ','G2117                           ','G2118                           ', &
     'G3101                           ','G3103                           ','G3106                           ', &
     'G3108                           ','G3109                           ','G3110                           ', &
     'G3200                           ','G3201                           ','G3202                           ', &
     'G3203                           ','G3204                           ','G3205                           ', &
     'G3206                           ','G3207                           ','G3208                           ', &
     'G3209                           ','G3210                           ','G3211                           ', &
     'G3212                           ','G3213                           ','G3214                           ', &
     'G3215                           ','G3216                           ','G3217                           ', &
     'G3218                           ','G3219                           ','G3220                           ', &
     'G3221                           ','G3222                           ','G3223                           ', &
     'G3224                           ','G4101                           ','G4102                           ', &
     'G4103a                          ','G4103b                          ','G4104a                          ', &
     'G4104b                          ','G4105                           ','G4106a                          ', &
     'G4106b                          ','G4107                           ','G4108                           ', &
     'G4109                           ','G4110                           ','G4111                           ', &
     'G4114                           ','G4115                           ','G4116                           ', &
     'G4117                           ','G4118                           ','G4119a                          ', &
     'G4119b                          ','G4120a                          ','G4120b                          ', &
     'G4121                           ','G4122                           ','G4123                           ', &
     'G4124                           ','G4125                           ','G4126                           ', &
     'G4127                           ','G4129a                          ','G4129b                          ', &
     'G4130a                          ','G4130b                          ','G4132                           ', &
     'G4133                           ','G4134                           ','G4135                           ', &
     'G4136                           ','G4137                           ','G4138                           ', &
     'G4140                           ','G4141                           ','G4142                           ', &
     'G4143                           ','G4144                           ','G4145                           ' /)
  CHARACTER(LEN=32), PARAMETER, DIMENSION(42) :: EQN_TAGS_1 = (/ &
     'G4146                           ','G4147                           ','G4148                           ', &
     'G4149                           ','G4150                           ','G4151                           ', &
     'G4152                           ','G4153                           ','G4154                           ', &
     'G4155                           ','G4156                           ','G4157                           ', &
     'G4158                           ','G4159                           ','G4160a                          ', &
     'G4160b                          ','G4160c                          ','G4161                           ', &
     'G4162                           ','G4163                           ','G4164                           ', &
     'J1000a                          ','J1001a                          ','J1001b                          ', &
     'J2101                           ','J3101                           ','J3103a                          ', &
     'J3103b                          ','J3104                           ','J3200                           ', &
     'J3201                           ','J3202                           ','J41000                          ', &
     'J41001a                         ','J41001b                         ','J41004                          ', &
     'J41005                          ','J41006                          ','J41007                          ', &
     'J41008                          ','J41009                          ','J41010                          ' /)
  CHARACTER(LEN=32), PARAMETER, DIMENSION(132) :: EQN_TAGS = (/&
    EQN_TAGS_0, EQN_TAGS_1 /)

! INLINED global variables

! End INLINED global variables


END MODULE messy_mecca_kpp_Monitor
